Overview
PUT/content/lists/{id}content

Update lists

Replace a record in lists by id.

Auth: bearerAuth — calls run as the authenticated user.

Parameters
  • idpathstring
Request body

application/json · optional

  • ecosystemIdoptionalstring
  • deletedAtoptionalstring?
  • nameoptionalstring
  • descriptionoptionalstring?
Example
{
  "ecosystemId": "string",
  "deletedAt": "string",
  "name": "string",
  "description": "string"
}
Responses
200

lists

  • idstring
  • ecosystemIdstring
  • customerIdstring
  • deletedAtstring?
  • namestring
  • descriptionstring?
  • createdAtstring
  • updatedAtstring
Example
{
  "id": "string",
  "ecosystemId": "string",
  "customerId": "string",
  "deletedAt": "string",
  "name": "string",
  "description": "string",
  "createdAt": "string",
  "updatedAt": "string"
}
400

Error

  • erroroptionalobject
Example
{
  "error": {
    "message": "string",
    "code": "string"
  }
}
401

Error

  • erroroptionalobject
Example
{
  "error": {
    "message": "string",
    "code": "string"
  }
}
404

Error

  • erroroptionalobject
Example
{
  "error": {
    "message": "string",
    "code": "string"
  }
}
Code examples
cURL
curl -X PUT "https://api.agenticdeveloperhub.com/content/lists/{id}" \
  -H "Authorization: Bearer YOUR_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{
  "ecosystemId": "string",
  "deletedAt": "string",
  "name": "string",
  "description": "string"
}'
JavaScript
const res = await fetch("https://api.agenticdeveloperhub.com/content/lists/{id}", {
  method: "PUT",
  headers: {
    "Authorization": "Bearer YOUR_TOKEN",
    "Content-Type": "application/json"
  },
  body: "{\n  \"ecosystemId\": \"string\",\n  \"deletedAt\": \"string\",\n  \"name\": \"string\",\n  \"description\": \"string\"\n}",
});
const data = await res.json();